Subject: bug#42212: Guix version rendered as 0.0-git in info manual

From: Bengt Richter <[email-masked]>
Date: Thu, 16 Jul 2020 07:08:42 +0200

On +2020-07-16 02:46:00 +0200, Bengt Richter wrote:
> On +2020-07-16 03:12:37 +0530, Arun Isaac wrote:
> > 
> > > The “0.0-git” string comes from (guix self).  As noted there, we can’t
> > > really afford to change the version string at each commit, or we’d have
> > > to rebuild the manual at each commit.
> > >
> > > We could perhaps choose a more meaningful version string, though, maybe
> > > by looking at the closest tag or something.
> > 
> > That sounds good, and `git describe` could provide us with the closest
> > tag. Unfortunately, (git) doesn't seem to be available during `guix
> > pull`. I'm trying to come up with workarounds. Do you have any ideas?
> 
> What does (copied from another laptop screen by hand, typos possible ;)
> --8<---------------cut here---------------start------------->8---
> readlink -f /var/guix/profiles/per-user/{$USER,root}/current-guix/manifest|xargs grep -m1 -A1 guix
> --8<---------------cut here---------------end--------------->8---
> get you? Anything useful?
> 
> On my other laptop, it got me (again copied/...elided from other screen)
> --8<---------------cut here---------------start------------->8---
> /gnu/store/.../manifest: (("guix"
> /gnu/store/.../manifest-   "87850c0"
> --
> /gnu/store/.../manifest: (("guix"
> /gnu/store/.../manifest-   "0.16.0"
> --8<---------------cut here---------------end--------------->8---
> 
> You can see that's ancient, so IDK if the same command will work for you.
> "guix -V" there still shows 0.16.0 (which version should that show, BTW?)
> 
> I don't know how these versions correspond to what pull creates,
> but zimoun is a whiz on that stuff, so maybe he will chime in :)
> (I Cc'd him to raise the probability :)

Sorry, I seem not to have succeeded with the Cc: to zimoun
Or it's been scrubbed out of the headers.
Ah, do I faintly remember that one needs a special incantation?
Sorry, I will look into it.

> HTH
> -- 
> Regards,
> Bengt Richter

-- 
Regards,
Bengt Richter